"""
Created on Mar 16, 2016

@author: noob
"""

from common.util.clients import CacheClient
from common.util.decorators import approve_required
from django.contrib.auth.decorators import login_required
from django.http import HttpResponse
from json import dumps


@login_required
def hide_notification(request):
    user = request.user
    cache = CacheClient()
    cache.set('do_not_notify_%s' % user.username, True)

    return HttpResponse(dumps([{'success': 1}]), content_type='application/json')
